#
# spec file for package python3-amqp
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-amqp
Version:        1.4.6
Release:        3.6
Summary:        Low-level AMQP client for Python (fork of amqplib)
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            http://github.com/celery/py-amqp
Source:         http://pypi.python.org/packages/source/a/amqp/amqp-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
# Documentation requirements:
BuildRequires:  python3-Sphinx
BuildRequires:  python3-sphinxcontrib-issuetracker
# Test requirements:
BuildRequires:  python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a fork of amqplib_ which was originally written by Barry Pederson.
It is maintained by the Celery_ project, and used by kombu as a pure python
alternative when librabbitmq is not available.

This library should be API compatible with librabbitmq.

%prep
%setup -q -n amqp-%{version}

%build
python3 setup.py build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE README.rst demo build/sphinx/html
%{python3_sitelib}/*

%changelog
* Sun Jan 18 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.4.6:
  * Now keeps buffer when socket times out.
  * Adds "Connection.Transport" attribute that can be used to specify
    a different transport implementation.
* Fri Jul 18 2014 toddrme2178@gmail.com
- Update to 1.4.5
  - Can now deserialize more AMQP types.
  - SSL: Workaround for Python SSL bug.
  - ``Transport.__del_`` now handles errors occurring at late interpreter
    shutdown (Issue #36).
- Update to 1.4.4
  - SSL transport accidentally disconnected after read timeout.
- Update to 1.4.3
  - Fixed bug where more data was requested from the socket
    than was actually needed.
- Update to 1.4.2
  - Heartbeat negotiation would use heartbeat value from server even
    if heartbeat disabled (Issue #31).
- Update to 1.4.1
  - Fixed error occurring when heartbeats disabled.
- Update to 1.4.0
  - Heartbeat implementation improved (Issue #6).
  - NoneType is now supported in tables and arrays.
  - SSLTransport: Now handles ``ENOENT``.
- Update to 1.3.3
  - SSLTransport: Now keeps read buffer if an exception is raised
- Update to 1.3.2
  - Message.channel is now a channel object (not the channel id).
  - Bug in previous version caused the socket to be flagged as disconnected
    at EAGAIN/EINTR.
- Update to 1.3.1
  - Now implements Connection.connected (Issue #22).
  - Fixed bug where ``str(AMQPError)`` did not return string.
- Update to 1.3.0
  - Now sets ``Message.channel`` on delivery (Issue #12)
  - New option to wait for publish confirmations (Issue #3)
  - ``queue_declare`` now returns named tuple of type
    :class:`~amqp.protocol.basic_declare_ok_t`.
  - Contents of ``Channel.returned_messages`` is now named tuples.
  - Sockets now set to close on exec using the ``FD_CLOEXEC`` flag.
- Update to 1.2.1
  - Adds promise type: :meth:`amqp.utils.promise`
  - Merges fixes from 1.0.x
* Tue Apr 30 2013 speilicke@suse.com
- Run testsuite
* Mon Feb 11 2013 saschpe@suse.de
- Initial version
